Anonymous Login
2019-04-24 15:16 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000623v2.4 Release (Closed)[All Projects] Generalpublic2011-08-16 23:50
Reporterpaul_rogers6 
Assigned Tocaseydk 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version2.4 
Summary0000623: Reminders sent for Template projects and inactive projects
Description
Overdue task reminders are sent for projects with status of Template.

Overdue task reminders are sent for projects with "Active" set to "No", ie inactive projects.

It appears that /modules/tasks/do_task_aed.php (and possibly others) makes no distinction between template projects and others and there seems to be no check for the active flag (when adding a reminder).
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001356

paul_rogers6 (reporter)

Updates to:

1. Stop reminders being sent for projects that are inactive/archived;
2. Allow project statuses that should have reminders sent to be set in config (eg In Progress) and check to ensure other statuses (eg Template) are not sent reminders.

Updates are as follows:

1. Add new config entry - task_reminder_which_proj_statuses.
2. Move all config entries associated with task reminders to group 'task_reminder' (Optional)
3. Add entries for title and tooltip to locales/en/system.inc (included)
4. Add following functions to includes/main_functions.php (included):

checkBinArray();
checkConvertMulti();
arraySelectMulti().

5. Update modules/system/systemconfig.php to create selector (included)
6. Update modules/system/do_systemconfig_aed.php to store config for multi selector (included)
7. Update modules/tasks/tasks.class.php (included) to:

add function projectNeedsReminders();
call function projectNeedsReminders from remind() function.

~0001357

paul_rogers6 (reporter)

sql for updating config:

insert into config (config_name, config_value, config_group, config_type) values ('task_reminder_which_proj_statuses', 8, 'task_reminder', 'select');
update config set config_group = 'task_reminder' where config_name like 'task_reminder%';

~0002004

caseydk (administrator)

Resolved in r1981
+Notes

-Issue History
Date Modified Username Field Change
2010-11-05 01:27 paul_rogers6 New Issue
2010-11-24 01:41 paul_rogers6 Note Added: 0001356
2010-11-24 01:51 paul_rogers6 File Added: system.inc
2010-11-24 01:51 paul_rogers6 File Added: main_functions.php
2010-11-24 01:52 paul_rogers6 File Added: systemconfig.php
2010-11-24 01:52 paul_rogers6 File Added: do_systemconfig_aed.php
2010-11-24 01:53 paul_rogers6 File Added: tasks.class.php
2010-11-24 01:57 paul_rogers6 Note Added: 0001357
2010-11-24 18:34 caseydk Project v2.0 Release (Closed) => v2.1 Release (Closed)
2010-11-24 23:35 caseydk Project v2.1 Release (Closed) => v2.2 Release (Closed)
2010-11-24 23:46 caseydk Priority normal => high
2010-12-15 21:54 caseydk Project v2.2 Release (Closed) => v2.3 Release (Closed)
2011-03-22 23:12 caseydk Project v2.3 Release (Closed) => v2.4 Release (Closed)
2011-07-03 22:51 caseydk Note Added: 0002004
2011-07-03 22:51 caseydk Status new => resolved
2011-07-03 22:51 caseydk Resolution open => fixed
2011-07-03 22:51 caseydk Assigned To => caseydk
2011-08-16 23:50 caseydk Status resolved => closed
2011-08-16 23:50 caseydk Fixed in Version => 2.4
+Issue History